{% extends 'appEco/base.html' %}
{% load staticfiles %}

{% block head %}
    
<link rel="stylesheet" href="{% static 'css/password_change.css' %}">

{% endblock %}

{% block contenido %}

<form method="POST" class="form-signin" style="margin-bottom: 100vh;">{% csrf_token %}
  <h1 class="h3 mb-3 font-weight-normal">Cambiar contraseña</h1>
    <input name="old_password" class="form-control" placeholder="Antigua contraseña" type="password" id="id_old_password" required="true">
    <input name="new_password1" class="form-control" placeholder="Nueva contraseña" type="password" id="id_new_password1" required="true">
    <input name="new_password2" class="form-control" placeholder="Confirmar contraseña" type="password" id="id_new_password2" required="true">

    {% for field in form %}
      {% for error in field.errors %}
        <p style="color: red">{{ error }}</p>
      {% endfor %}
    {% endfor %}

  <button class="btn btn-lg btn-primary btn-block" type="submit">Cambiar</button>  
</form>



{% endblock %}
